org.bouncycastle.mail.smime.validator

## Class SignedMailValidatorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.bouncycastle.i18n.LocalizedException
      - - org.bouncycastle.mail.smime.validator.SignedMailValidatorException

All Implemented Interfaces:
  java.io.Serializable

    public class SignedMailValidatorException
    extends org.bouncycastle.i18n.LocalizedException

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.bouncycastle.i18n.LocalizedException

`message`

### Constructor Summary

Constructors
Constructor and Description
`SignedMailValidatorException(org.bouncycastle.i18n.ErrorBundle errorMessage)`
`SignedMailValidatorException(org.bouncycastle.i18n.ErrorBundle errorMessage, java.lang.Throwable throwable)`

### Method Summary

### Methods inherited from class org.bouncycastle.i18n.LocalizedException

`getCause, getErrorMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SignedMailValidatorException

    public SignedMailValidatorException(org.bouncycastle.i18n.ErrorBundle errorMessage,
                                java.lang.Throwable throwable)

#### SignedMailValidatorException

    public SignedMailValidatorException(org.bouncycastle.i18n.ErrorBundle errorMessage)